## List deployed Workflow versions `client.Workflows.Versions.List(ctx, workflowName, params) (*V4PagePaginationArray[VersionListResponse], error)` **get** `/accounts/{account_id}/workflows/{workflow_name}/versions` Lists all deployed versions of a workflow. ### Parameters - `workflowName string` - `params VersionListParams` - `AccountID param.Field[string]` Path param - `Page param.Field[float64]` Query param - `PerPage param.Field[float64]` Query param ### Returns - `type VersionListResponse struct{…}` - `ID string` - `ClassName string` - `CreatedOn Time` - `HasDag bool` - `ModifiedOn Time` - `WorkflowID string` - `Limits VersionListResponseLimits` - `Steps int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/workflows" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.Workflows.Versions.List( context.TODO(), "x", workflows.VersionListParams{ AccountID: cloudflare.F("account_id"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "class_name": "class_name", "created_on": "2019-12-27T18:11:19.117Z", "has_dag": true, "modified_on": "2019-12-27T18:11:19.117Z", "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "limits": { "steps": 1 } } ], "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```